local winW,winH = love.graphics.getDimensions()

local player = {}

--CUSTOM PROPERTIES-------------------------------------------
player.x, player.y = math.floor (winW/2+64),
                     math.floor (winH/2)
player.name = 'player'
player.contacting = 'nobody'
player.color = {1,1,1}
player.size = 32
player.velocity = 224 --velocity (*dt)
player.deceleration = 1 --decelerate (*dt)
player.Xspeed = 0
player.Yspeed = 0

--colors
local red = {1,0,0,1}
local green = {0,1,0,1}
local blue = {0,0,1,1}
local white = {1,1,1,1}
local black = {0,0,0,1}

player.color = white
--------------------------------------------------------------

--PHYSICS-----------------------------------------------------
local world = require('world')
player.category = tonumber('01',2)
player.mask = tonumber('10',2)
player.group = 0
player.body = love.physics.newBody(world,player.x,player.y,'dynamic')
player.body:setFixedRotation(true)
player.body:setMass(0) --mass
player.shape = love.physics.newRectangleShape(32,32)
player.fixture = love.physics.newFixture(player.body, player.shape)
player.fixture:setSensor(false)--fixture is sensor
player.fixture:setFilterData(player.category, player.mask, player.group)
player.fixture:setFriction(0) --friction
player.fixture:setUserData(player)

--contact functions
player.begin_contact = function(self,other_entity)
 self.color = red
 other_entity.color = self.color
 self.contacting = other_entity.name
end

player.end_contact = function(self,other_entity)
 self.color = white
 other_entity.color = self.color
 self.contacting = ''
end

--center body
--player.body:setPosition(math.floor (player.x-player.size/2),
--                       math.floor (player.y-player.size/2))

--------------------------------------------------------------

--UPDATE------------------------------------------------------
player.update = function(self)

 self.x,self.y = self.body:getWorldCenter()
 --self.x,self.y= self.body:getPosition ()

 --set velocity
 self.body:setLinearVelocity(self.Xspeed,self.Yspeed)
  
 end
--------------------------------------------------------------

--DRAW--------------------------------------------------------
player.draw = function(self)

 love.graphics.setColor (self.color)
 
 --collision box
  --love.graphics.setLineWidth(2)
  love.graphics.rectangle('fill',self.x-16,self.y-16,self.size,self.size)
  --love.graphics.setLineWidth(1)

  love.graphics.setColor (white)
end
--------------------------------------------------------------

return player
