local winW,winH = love.graphics.getDimensions()

local polygon = {}

--CUSTOM PROPERTIES-------------------------------------------
polygon.x, polygon.y = 128,128

polygon.name = 'polygon'
polygon.contacting = 'nobody'
polygon.color = {1,1,1}
polygon.size = 32

local p = polygon

--box polygon (clockwise)
local boxPoly = 
              {
               128,128, --bottom left
               128,96,  --top left     
               160,96,  --top right
               160,128  --bottom right
              }

--incline polygon left (clockwise)
local inclinePoly = 
              {
               128,128, --bottom left
               160,96,  --top left     
               160,96,  --top right
               160,128  --bottom right
              }

--------------------------------------------------------------

--PHYSICS-----------------------------------------------------
local world = require('world')
polygon.category = tonumber('10',2)
polygon.mask = tonumber('01',2)
polygon.group = 0
polygon.body = love.physics.newBody(world,p.x,p.y,'static')
polygon.body:setFixedRotation(true)
polygon.body:setMass(0) --mass
polygon.shape = love.physics.newPolygonShape(inclinePoly)
polygon.fixture = love.physics.newFixture(polygon.body, polygon.shape)
polygon.fixture:setSensor(false)--fixture is sensor
polygon.fixture:setFilterData(polygon.category, polygon.mask, polygon.group)
polygon.fixture:setFriction(0) --friction
polygon.fixture:setUserData(polygon)

--contact functions
polygon.begin_contact = function(self,other_entity)
 --
end

polygon.end_contact = function(self,other_entity)
 --
end
--------------------------------------------------------------

--KEYBOARD----------------------------------------------------
function love.keypressed(k)
 if k == 'r' then
   love.event.quit('restart')
  end
end
--------------------------------------------------------------

--UPDATE------------------------------------------------------
polygon.update = function(self)
  --
 end
--------------------------------------------------------------

--DRAW--------------------------------------------------------
polygon.draw = function(self)

 love.graphics.setColor (self.color)

 --polygon
  love.graphics.polygon('fill',self.body:getWorldPoints(self.shape:getPoints()))

 love.graphics.setColor {1,1,1}
 
end
--------------------------------------------------------------

return polygon
