local winW,winH = love.graphics.getDimensions()

local square = {}

--CUSTOM PROPERTIES-------------------------------------------
square.x, square.y = math.floor (winW/2+32),
                     math.floor (winH/2)
square.name = 'square'
square.contacting = 'nobody'
square.color = {1,1,1}
square.size = 32
--------------------------------------------------------------

--PHYSICS-----------------------------------------------------
local world = require('world')
square.category = tonumber('10',2)
square.mask = tonumber('01',2)
square.group = 0
square.body = love.physics.newBody(world,square.x,square.y,'static')
square.body:setFixedRotation(true)
square.body:setMass(0) --mass
square.shape = love.physics.newRectangleShape(32,32)
square.fixture = love.physics.newFixture(square.body, square.shape)
square.fixture:setSensor(false)--fixture is sensor
square.fixture:setFilterData(square.category, square.mask, square.group)
square.fixture:setFriction(0) --friction
square.fixture:setUserData(square)

--contact functions
square.begin_contact = function(self,other_entity)
 --
end

square.end_contact = function(self,other_entity)
 --
end

--center body position
--square.body:setPosition(math.floor (square.x-square.size/2),
--                        math.floor (square.y-square.size/2))

--------------------------------------------------------------

--KEYBOARD----------------------------------------------------
function love.keypressed(k)
 if k == 'r' then
   love.event.quit('restart')
  end
end
--------------------------------------------------------------

--UPDATE------------------------------------------------------
square.update = function(self)
  --
 end
--------------------------------------------------------------

--DRAW--------------------------------------------------------
square.draw = function(self)

 love.graphics.setColor (self.color)

 --collision box
 local bx,by = self.body:getWorldCenter()
  love.graphics.setLineWidth(2)
  love.graphics.rectangle('fill',bx-16,by-16,self.size,self.size)
  love.graphics.setLineWidth(1)
  
 love.graphics.setColor {1,1,1}

 --love.graphics.setColor(self.color)
 --love.graphics.rectangle ('fill',self.x,self.y,32,32)
 
end
--------------------------------------------------------------

return square
