local player = require ('entities/player')
local keyboardInput = {}
local dt = love.timer.getDelta()
local fps = love.timer.getFPS()
local preformance = ''

--CUSTOM PROPERTIES------------------------------------------
--colors
local red = {1,0,0,1}
local green = {0,1,0,1}
local blue = {0,0,1,1}
local white = {1,1,1,1}
local black = {0,0,0,1}
local yellow = {1,1,0,1}
keyboardInput.color = white

local font = love.graphics.newImageFont("fontImage.png",
    " abcdefghijklmnopqrstuvwxyz" ..
    "ABCDEFGHIJKLMNOPQRSTUVWXYZ0" ..
    "123456789.,!?-+/():;%&`'*#=[]\"")
-------------------------------------------------------------

--KEYBOARD PRESSED-------------------------------------------
local keyPressed = function ()

function love.keypressed(key)

   if key == 'r' then
    love.event.quit('restart')
   elseif key == 'q' then
    love.event.quit()
   elseif key == 'left' then
  end

 end

end
-------------------------------------------------------------

--KEYBOARD DOWN----------------------------------------------
local keyDown = function ()

--assign consistent speed
local leftSpeed = -player.velocity
local rightSpeed = player.velocity

local upSpeed = -player.velocity
local downSpeed = player.velocity

--left and right
 if love.keyboard.isDown('left') then
  player.Xspeed = leftSpeed
 elseif love.keyboard.isDown('right') then
  player.Xspeed = rightSpeed
 end

--up and down
 if love.keyboard.isDown('up') then
  player.Yspeed = upSpeed
 elseif love.keyboard.isDown('down') then
  player.Yspeed = downSpeed
 end

--decelerate Xspeed
 if not love.keyboard.isDown('left') and
    not love.keyboard.isDown('right') then
     if player.Xspeed > 0 then
      player.Xspeed = math.max(player.Xspeed-player.deceleration*(dt*100),0)
     elseif player.Xspeed < 0 then
      player.Xspeed = math.min(player.Xspeed+player.deceleration*(dt*100),0)
   end
  end

--decelerate Yspeed
 if not love.keyboard.isDown('up') and
    not love.keyboard.isDown('down') then
     if player.Yspeed > 0 then
      player.Yspeed = math.max(player.Yspeed-player.deceleration*(dt*100),0)
     elseif player.Yspeed < 0 then
      player.Yspeed = math.min(player.Yspeed+player.deceleration*(dt*100),0)
   end
  end
 
end
-------------------------------------------------------------

--UPDATE-----------------------------------------------------
keyboardInput.update = function (self,dt)

 dt = love.timer.getDelta()

 fps = love.timer.getFPS()

 if fps <60 then 
  preformance = 'less than optimal'
 else
  preformance = 'optimal'
 end

 keyPressed()
 keyDown()

end
-------------------------------------------------------------

--DRAW-------------------------------------------------------
keyboardInput.draw = function (self)

 love.graphics.setFont(font)

 love.graphics.print ('----BASIC PHYSICS----',0,0)

 love.graphics.print ({white,'current FPS : ',yellow,fps,white,'\ngame is at ',yellow,preformance,white,' speed'},0,440)

 love.graphics.print ({white,'press',green,' r ',white,'to restart\npress',green,' q ',white,'to quit\ncurrently colliding with : ',red,player.contacting,white,'\nXspeed : ',yellow,math.floor (player.Xspeed),white,'\nYspeed :',yellow,math.floor(player.Yspeed)},0,32) 
end
-------------------------------------------------------------

return keyboardInput