-- main.lua
love.graphics.setDefaultFilter ('nearest','nearest')

local world = require ('world')
local keyboardInput = require ('keyboardInput')
local square = require('entities/square')
local polygon = require ('entities/polygon')
local player = require('entities/player')

love.draw = function(dt)

  love.graphics.setBackgroundColor(0.2,0.2,0.2)

  square:draw (dt)
  polygon:draw (dt)
  player:draw (dt)
  keyboardInput:draw(dt)
end

love.update = function(dt)

  world:update(dt)
  keyboardInput:update()
  square:update(dt)
  polygon:draw (dt)
  player:update(dt)
  
end

--LÖVE supports up to 16 bits for the category and bitmask (0000000000000000)